## LibinsaneItem

LibinsaneItem

## Functions

const char * | libinsane_item_get_name ()
LibinsaneItemType | libinsane_item_get_item_type ()
void | libinsane_item_close ()
GList * | libinsane_item_get_children ()
GList * | libinsane_item_get_options ()
LibinsaneScanSession * | libinsane_item_scan_start ()

## Types and Values

#define | LIBINSANE_ITEM_TYPE

## Description

## Functions

### libinsane_item_get_name ()

    const char *
    libinsane_item_get_name (LibinsaneItem *self);

#### Parameters

self | current item |

#### Returns

Item's name.

[transfer none]

### libinsane_item_get_item_type ()

    LibinsaneItemType
    libinsane_item_get_item_type (LibinsaneItem *self);

### libinsane_item_close ()

    void
    libinsane_item_close (LibinsaneItem *self,
                          GError **error);

### libinsane_item_get_children ()

    GList *
    libinsane_item_get_children (LibinsaneItem *self,
                                 GError **error);

See C-API

#### Parameters

self | current item. Should be a root item (not a result `libinsane_item_get_children()`), not a children. |
error | in case an error occurred while looking for children items |

#### Returns

list of children items (usually scan sources).

[element-type Libinsane.Item][transfer full]

### libinsane_item_get_options ()

    GList *
    libinsane_item_get_options (LibinsaneItem *self,
                                GError **error);

See C-API

#### Parameters

self | current item. Can be either a root or child item. |
error | in case an error occurred while looking for options. |

#### Returns

item scan options.

[element-type Libinsane.OptionDescriptor][transfer full]

### libinsane_item_scan_start ()

    LibinsaneScanSession *
    libinsane_item_scan_start (LibinsaneItem *self,
                               GError **error);

## Types and Values

### LIBINSANE_ITEM_TYPE

    #define             LIBINSANE_ITEM_TYPE